# openpyxl은 파이썬에 있는 엑셀 관련 패키지 중의 하나입니다.
# xlwings, xlsxwriter 등도 있지만, openpyxl이 가장 많이 쓰입니다.
# 엑셀이 없어도 엑셀 파일을 읽고 쓸 수 있어 유용합니다.
# pip install openpyxl을 명령프롬프트나 터미널 창에서 실행하면 손쉽게 설치할 수 있습니다.

#작성자: 땡큐엑셀vba & 파이썬엑셀
#목 적 : 엑셀의 가장 작은 단위인 셀값을 출력해 봅니다.
#Cell(행,열).value 이런식으로 사용하면 됩니다.



# 엑셀관련 라이브러리 임포트
from openpyxl import load_workbook

# data_only=Ture로 해줘야 수식이 아닌 값으로 받아온다.
load_wb = load_workbook("c:/temp/셀_값출력-땡큐엑셀vba.xlsx", data_only=True)

# 시트 이름으로 불러오기
load_ws = load_wb['Sheet1']

# 셀 주소로 값 출력
print(load_ws.cell(1, 1).value) # A1셀
print(load_ws.cell(2, 1).value) # A2셀
print(load_ws.cell(3, 1).value) # A3셀


print("완료되었습니다. 땡큐엑셀vba & 파이썬엑셀")